<?php
/*
Plugin Name: Profit Canvas - Insert
Plugin URI: http://www.profitcanvas.com
Description: Quickly add your Profit Canvas pages to your WordPress site
Version: 1.1
Author: Brett Rutecky / SqueezeMatic
Author URI: http://www.brettrutecky.com
License: Standard
*/


add_action( 'wp', 'block_post_site_pci' );//This is the hook part
function block_post_site_pci(){
    global $wpdb;
    global $post; 
    $CurrentPage=$post->ID;
    $re = $wpdb->get_results( " SELECT * FROM ".$wpdb->prefix."site_pci_pages " );
    foreach ( $re as $ro ){
	                         $ID=$ro->ID;
                           $WPPage=$ro->WPPage;
                           $Type=$ro->Type;
                           
                           if ($Type!="1"){
                                           $URL="//www.profitcanvas.com/members/embedpage.php?p=".$ro->SM_ID;
                                          }else{
                                                $URL="//www.profitcanvas.com/broadcast/?w=".$ro->SM_ID;
                                               } 
                           
                           if ($WPPage==$CurrentPage && !is_admin()){
                                                      if ($URL!=""){
                                                                    echo "
                                                                          <body style='padding:0px; margin:0px;'>
                                                                          <iframe style='width:100%; height:100%;' frameborder='no' src='$URL'></iframe>
                                                                          </body>
                                                                         ";
                                                                    exit();
                                                                   } 
                                                  
                                                     }
                          } 
                      }


/* Runs when plugin is activated */
register_activation_hook(__FILE__,'site_pci_install'); 

/* Runs on plugin deactivation*/
register_deactivation_hook( __FILE__, 'site_pci_remove' );

function site_pci_install() {
                                global $wpdb;
                                $table_name = $wpdb->prefix . "site_pci_pages";                             
                                $sql = "CREATE TABLE $table_name (
                                                                  id mediumint(9) NOT NULL AUTO_INCREMENT,
                                                                  WPPage VARCHAR(25) DEFAULT '' NOT NULL,
                                                                  Type VARCHAR(3) DEFAULT '0' NOT NULL,
                                                                  SM_ID VARCHAR(255) DEFAULT '' NOT NULL,
                                                                  UNIQUE KEY id (id)
                                                                  );";
                                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                                dbDelta( $sql );     
                               }

function site_pci_remove() {
                              remove_action('wp', 'block_post_site_pci', 1);

                              }

if ( is_admin() ){
                  /* Call the html code */
                  add_action('admin_menu', 'site_pci_admin_menu');

                  function site_pci_admin_menu() {
                                                     add_menu_page('Profit Canvas- Insert', 'Profit Canvas- Insert', 'administrator', 'pc_insert', 'site_pci_admin');
                                                    }
                 }

function site_pci_admin() { 
                              global $wpdb;
                              $PGPath=plugins_url()."/pc_insert/";
                              wp_register_script('op_jq', 'http://ajax.googleapis.com/ajax/libs/jquery/1.6.0/jquery.min.js'); 
                              wp_enqueue_script('op_jq');
                              
                              echo "
                                    <div style='position:relative; width:880px; height:60px; padding:10px; background-image:url(\"$PGPath/images/background_light.jpg\");'>
                                     <img src='$PGPath"."images/logo.png'>
                                     <div style='position:absolute; top:3px; right:3px'>
                                      <img src='$PGPath"."images/installnew.png' style='cursor:pointer;' onclick='installnew();'>
                                     </div>
                                     
                                      <div style='position:absolute; bottom:7px; right:6px'>
                                       <a href='http://brettrutecky.com/' target='_blank' style='color:#000000; font-family:sans-serif; font-size:12px; font-weight:900'>
                                       Need Help? Click here
                                      </a>
                                     </div>
                                     
                                    </div>
                                   ";
                              echo "
                                    <table style='font-size:18px; font-weight:900; font-family:sans-serif; width:900px; background-color:#B9CFDF;'>
                                   <tr>
                                    <td height='30' valign='top'><font style='font-size:14px; font-weight:500; text-decoration:underline;'>WordPress Page ID</font></td>
                                    <td height='30' valign='top'><font style='font-size:14px; font-weight:500; text-decoration:underline;'>Profit Canvas ID</font></td>
                                    <td height='30' valign='top'><font style='font-size:14px; font-weight:500; text-decoration:underline;'>Page Type</font></td>
                                    <td height='30' valign='top'><center><font style='font-size:14px; font-weight:500; text-decoration:underline;'>Options</font></center></td>
                                   </tr> 
                                   ";
                                   
                              $re = $wpdb->get_results( " SELECT * FROM ".$wpdb->prefix."site_pci_pages " );
                              $c=0;
                              foreach ( $re as $ro ) 
                                                    {
	                                                   $ID=$ro->ID;
                                                     $WPPage=$ro->WPPage;
                                                     $SM_ID=$ro->SM_ID;
                                                     $Type=$ro->Type;
                                                     if ($Type=="1"){$Type="Webinar";}else{$Type="Page";}
                                                     //get the posts title
                                                     $re2 = $wpdb->get_results( " SELECT * FROM wp_posts WHERE id='$WPPage' " );
                                                     foreach ( $re2 as $ro2 ){
                                                                              $PageTitle=$ro2->post_title;
                                                                              $GUID=$ro2->guid;
                                                                             }
                                                     
                                                     $Options="<img src='$PGPath"."images/view.png' style='cursor:pointer;' onclick=\"window.open('$GUID','_blank');\">&nbsp;&nbsp;&nbsp;";
                                                     $Options=$Options."<image src='$PGPath"."images/delete.png' style='cursor:pointer;' onclick=\"deletePage('$WPPage')\">";
                                                     
                                                     echo "
                                                           <tr>
                                                            <td style='background-color:#B9CFDF;'>$PageTitle</td>
                                                            <td style='background-color:#B9CFDF;'>$SM_ID</td>
                                                            <td style='background-color:#B9CFDF;'>$Type</td>
                                                            <td style='width:250px; background-color:#B9CFDF;'><center>$Options</center></td>
                                                           </tr>
                                                          ";
                                                    
                                                    }    
                             echo "       
                                   </table>
                                   </div>
                                  </div>
                                  
                                   <div id='Blanket' style='display:none; z-index:9998; position:fixed; left:0px; top:0px; width:100%; height:100%; background-color:#000000; opacity:.7'></div>
                                   <div id='PopUp' style='display:none; z-index:9999; position:fixed; width:650px; padding:10px; min-height:200px; top:75px; left:50%; margin-left:-330px; border: 8px solid #123961; background-color:#ffffff;'>
                                    <div style='position:absolute; right:5px; top:5px;'><a href='#' onclick=\"$('#PopUp').css('display','none'); $('#Blanket').css('display','none');\"><img src='$PGPath/images/close_2.png' border='0'></a></div>
                                    <div id='PopUpContent' style='position:relative; top:20px;'>
                                    </div>
                                    <br>
                                   </div>
                                  
                                  
                                   <script type='text/javascript'>
                                    function deletePage(P){
                                                          jQuery.post('$PGPath'+'deletepage.php',{P:P}, function(data) {
                                                                                                                        location.reload();
                                                                                                                       });
                                                         }
                                    
                                    function installnew(){
                                                          jQuery.post('$PGPath'+'addnewpage.php', function(data) {
                                                                                                               jQuery('#PopUpContent').html(data);
                                                                                                               jQuery('#PopUp').css('display','block');
                                                                                                               jQuery('#Blanket').css('display','block');
                                                                                                              });
                                                         }
                                   
                                    
                                                      
                                    
                                   
                                    
                                                                        
                                    function saveNow(){
                                                       var WPPage=$('#SelectedPage').val();
                                                       var SM_ID=$('#SM_ID').val();
                                                      
                                                       var Type=$('#Type').val();
                                                       
                         
                        
                                                       $.post('$PGPath'+'dosave.php', { 
                                                                              WPPage:WPPage,
                                                                              SM_ID:SM_ID,
                                                                              Type:Type 
                                                                             },function( data ){
                                                                                                //alert(data);
                                                                                                location.reload();
                                                                                               }); 
                                                                              
                                                                             }   
                                                                                                                                         
                                   </script>
                                  ";     
                                   
                             }
?>